Invalid command 'FastCgiExternalServer'


#1

Hello, I’m trying to install pimcore in a docker container based on the latest version of debian. For apache I followed the documentation: https://pimcore.com/docs/5.x/Development_Documentation/Installation_and_Upgrade/System_Setup_and_Hosting/Apache_Configuration.html but when I restart apache I have the error

[warn] The apache2 configtest failed. ... (warning).
Output of config test was:
AH00526: Syntax error on line 14 of /etc/apache2/sites-enabled/pimcore.conf:
Invalid command 'FastCgiExternalServer', perhaps misspelled or defined by a module not included in the server configuration
Action 'configtest' failed.
The Apache error log may have more information.

**Line 14**
FastCgiExternalServer /usr/lib/cgi-bin/php7.1-fcgi-pimcore -socket /var/run/php/php7.1-fpm.sock -pass-header Authorization

However the fcgi module is installed and activated
# apt search fcgi
Sorting ... Done
Full-text search ... Done
[...]

libapache2-mod-fcgid / stable, stable, now 1: 2.3.9-1 + b1 amd64 [installed]
  FastCGI interface module for Apache 2

/etc/apache2/mods-enabled # ll
total 0
[...]
lrwxrwxrwx 1 root root 28 Jul 4 09:55 fcgid.conf -> ../mods-available/fcgid.conf
lrwxrwxrwx 1 root root Jul 28, 4 9:55 AM fcgid.load -> ../mods-available/fcgid.load

Is there a particular parameter or package to install?

# apache2ctl -v
Server version: Apache / 2.4.25 (Debian)
Built Server: 2018-03-31T08: 47: 16

# php -v
PHP 7.1.18-1 + 0 ~ 20180611145904.18 + stretch ~ 1.gbp2b32f6 (cli) (built: Jun 11 2018 14:59:07) (NTS)
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.1.18-1 + 0 ~ 20180611145904.18 + stretch ~ 1.gbp2b32f6, Copyright (c) 1999-2018, by Zend Technologies

# mysql -v
Welcome to the MariaDB monitor. Commands end with; or \ g.
Your MariaDB connection id is 35
Server version: 10.1.26-MariaDB-0 + deb9u1 Debian 9.1

# apt search apache2 | grep "installé"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

apache2/stable,now 2.4.25-3+deb9u4 amd64  [installé]
apache2-bin/stable,now 2.4.25-3+deb9u4 amd64  [installé, automatique]
apache2-data/stable,now 2.4.25-3+deb9u4 all  [installé, automatique]
apache2-utils/stable,now 2.4.25-3+deb9u4 amd64  [installé, automatique]
libapache2-mod-fcgid/stable,stable,now 1:2.3.9-1+b1 amd64  [installé]
php7.1-fpm/unknown,now 7.1.18-1+0~20180611145904.18+stretch~1.gbp2b32f6 amd64  [installé]

# ps faux
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root      3018  0.0  0.0 461076  6584 ?        Ss   juil.04   0:02 php-fpm: master process (/etc/php/7.1/fpm/php-fpm.conf)
www-data  3019  0.0  0.0 461076  6064 ?        S    juil.04   0:00  \_ php-fpm: pool www
www-data  3020  0.0  0.0 461076  6064 ?        S    juil.04   0:00  \_ php-fpm: pool www
root      1639  0.0  0.0  19848   860 pts/0    S    juil.04   0:00 /bin/bash /usr/bin/mysqld_safe
mysql     1789  0.0  0.9 739852 76396 pts/0    Sl   juil.04   0:26  \_ /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --plugin-dir=/usr/lib/x86_64-linux-gnu/mariadb18/plugin --user=mysql --skip-log-err
root      1790  0.0  0.0  26988   384 pts/0    S    juil.04   0:00  \_ logger -t mysqld -p daemon error
root        70  0.0  0.0  69936   768 ?        Ss   juil.04   0:00 /usr/sbin/sshd
root        88  0.0  0.0  99324  1296 ?        Ss   juil.04   0:01  \_ sshd: root@pts/0
root        94  0.0  0.0  20092  1576 pts/0    Ss   juil.04   0:00      \_ -bash
root      4262  0.0  0.0  38236  1740 pts/0    R+   09:20   0:00          \_ ps faux
root         5  0.0  0.0  19808   844 ?        Ss+  juil.04   0:00 bash
root         1  0.0  0.0  19804   660 ?        Ss+  juil.04   0:00 /bin/bash